[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#408814: please add armel support



Package: qt-x11-free
Severity: wishlist
Tags: patch
User: debian-arm@lists.debian.org
Usertags: eabi

Arm eabi[1] has more sane struct packing rules, therefor
Q_NO_PACKED_REFERENCE needs to be tuned slightly.

[1] http://wiki.debian.org/ArmEabiPort

--- qt-x11-free-3.3.7/debian/patches/00list.orig	2007-01-11 20:05:08.000000000 +0000
+++ qt-x11-free-3.3.7/debian/patches/00list	2007-01-11 20:04:59.000000000 +0000
@@ -39,3 +39,4 @@
 49_immodule_inputcontext_fix
 60_gnu_hurd_support
 61_fcfontmatch_fontwidth_fix
+90_armeabi.dpatch
--- qt-x11-free-3.3.7/debian/patches/90_armeabi.dpatch.orig	2007-01-11 20:04:50.000000000 +0000
+++ qt-x11-free-3.3.7/debian/patches/90_armeabi.dpatch	2007-01-11 20:04:31.000000000 +0000
@@ -0,0 +1,36 @@
+#! /bin/sh -e
+## 90_armeabi.dpatch.dpatch by Lennert Buytenhek <buytenh@wantstofly.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Add support for EABI ARM platforms to Qt.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+--- qt-x11-free-3.3.7/src/tools/qglobal.h.orig	2006-12-22 03:23:58.000000000 +0000
++++ qt-x11-free-3.3.7/src/tools/qglobal.h	2006-12-22 03:24:23.000000000 +0000
+@@ -315,7 +315,7 @@
+    QString bloat. However, gcc 3.4 doesn't allow us to create references to
+    members of a packed struct. (Pointers are OK, because then you
+    supposedly know what you are doing.) */
+-#  if (defined(__arm__) || defined(__ARMEL__)) && !defined(QT_MOC_CPP)
++#  if (defined(__arm__) || defined(__ARMEL__)) && !defined(__ARM_EABI__) && !defined(QT_MOC_CPP)
+ #    define Q_PACKED __attribute__ ((packed))
+ #    if __GNUC__ == 3 && __GNUC_MINOR__ >= 4 || __GNUC__ > 3
+ #      define Q_NO_PACKED_REFERENCE

Reply to: